Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# DebugRequestTable Class Reference

`#include <DebugRequest.h>`

Collaboration diagram for DebugRequestTable:

[legend]
List of all members.

## Public Member Functions
| DebugRequestTable ()
| Constructor, resets the table.
void | addRequest (const DebugRequest &debugRequest)
void | removeRequest (const char *description)
bool | isActive (const char *name) const
bool | once (const char *name) const
void | disable (const char *name)
bool | notYetPolled (const char *name)
void | removeAllRequests ()
## Public Attributes
DebugRequest | debugRequests [maxNumberOfDebugRequests]
| The Debug Key Table.
int | currentNumberOfDebugRequests
bool | poll
int | pollCounter
const char * | alreadyPolledDebugRequests [maxNumberOfDebugRequests]
int | alreadyPolledDebugRequestCounter
const char * | lastName
const char * | prevLastName
int | lastIndex
int | prevLastIndex
## Private Types
enum | { maxNumberOfDebugRequests = 1000 }

## Member Enumeration Documentation

anonymous enum`[private]`

  | Enumeration values:
  maxNumberOfDebugRequests |
Definition at line 46 of file DebugRequest.h.

## Constructor & Destructor Documentation

DebugRequestTable::DebugRequestTable | ( |  | ) |

| Constructor, resets the table. Definition at line 24 of file DebugRequest.cpp. References alreadyPolledDebugRequestCounter, currentNumberOfDebugRequests, lastName, poll, and prevLastName.

## Member Function Documentation

void DebugRequestTable::addRequest | ( | const DebugRequest & | debugRequest | ) |

| Definition at line 32 of file DebugRequest.cpp. References alreadyPolledDebugRequestCounter, currentNumberOfDebugRequests, debugRequests, DebugRequest::description, DebugRequest::enable, lastName, DebugRequest::once, poll, pollCounter, prevLastName, and removeAllRequests(). Referenced by Process::handleMessage().

Here is the call graph for this function:

void DebugRequestTable::removeRequest | ( | const char * | description | ) |

bool DebugRequestTable::isActive | ( | const char * | name | ) | const`[inline]`

| Definition at line 65 of file DebugRequest.h. References currentNumberOfDebugRequests, debugRequests, DebugRequest::enable, lastIndex, lastName, prevLastIndex, and prevLastName.

bool DebugRequestTable::once | ( | const char * | name | ) | const`[inline]`

| Definition at line 92 of file DebugRequest.h. References currentNumberOfDebugRequests, debugRequests, lastIndex, lastName, DebugRequest::once, prevLastIndex, and prevLastName.

void DebugRequestTable::disable | ( | const char * | name | ) |

| Definition at line 61 of file DebugRequest.cpp. References currentNumberOfDebugRequests, debugRequests, lastName, and prevLastName.

bool DebugRequestTable::notYetPolled | ( | const char * | name | ) |

| Definition at line 72 of file DebugRequest.cpp. References alreadyPolledDebugRequestCounter, and alreadyPolledDebugRequests.

void DebugRequestTable::removeAllRequests | ( |  | ) | `[inline]`

| Definition at line 125 of file DebugRequest.h. References currentNumberOfDebugRequests. Referenced by addRequest().

## Member Data Documentation

DebugRequest DebugRequestTable::debugRequests[maxNumberOfDebugRequests]

| The Debug Key Table. Definition at line 52 of file DebugRequest.h. Referenced by addRequest(), disable(), isActive(), and once().

int DebugRequestTable::currentNumberOfDebugRequests

| Definition at line 53 of file DebugRequest.h. Referenced by addRequest(), DebugRequestTable(), disable(), isActive(), once(), and removeAllRequests().

bool DebugRequestTable::poll

| Definition at line 131 of file DebugRequest.h. Referenced by addRequest(), DebugRequestTable(), and Process::processMain().

int DebugRequestTable::pollCounter

| Definition at line 133 of file DebugRequest.h. Referenced by addRequest(), and Process::processMain().

const char* DebugRequestTable::alreadyPolledDebugRequests[maxNumberOfDebugRequests]

| Definition at line 135 of file DebugRequest.h. Referenced by notYetPolled().

int DebugRequestTable::alreadyPolledDebugRequestCounter

| Definition at line 136 of file DebugRequest.h. Referenced by addRequest(), DebugRequestTable(), and notYetPolled().

const char* DebugRequestTable::lastName`[mutable]`

| Definition at line 137 of file DebugRequest.h. Referenced by addRequest(), DebugRequestTable(), disable(), isActive(), and once().

const char * DebugRequestTable::prevLastName`[mutable]`

| Definition at line 137 of file DebugRequest.h. Referenced by addRequest(), DebugRequestTable(), disable(), isActive(), and once().

int DebugRequestTable::lastIndex`[mutable]`

| Definition at line 139 of file DebugRequest.h. Referenced by isActive(), and once().

int DebugRequestTable::prevLastIndex`[mutable]`

| Definition at line 139 of file DebugRequest.h. Referenced by isActive(), and once().

The documentation for this class was generated from the following files:

- Tools/Debugging/DebugRequest.h
- Tools/Debugging/DebugRequest.cpp